<?php

namespace App\XenForoDataTypes;

use App\Services\XenforoService;

class XenForoData {

    protected XenforoService $services;

    public function __construct(public readonly object $data) {
        $this->services = app(XenforoService::class);
    }

    public function __get(string $name): mixed {
        return $this->data->$name ?? null;
    }

}
